YUI Flash Component Documentation | All Packages | All Classes | Index | Frames No Frames |
Class ChartSerializer

Package | com.yahoo.yui.charts
Class | public class ChartSerializer

Public Methods

| Method | Defined by
--- | --- | ---
|  | getShortName(input:Object):String [static] | ChartSerializer
|  | getType(shortName:String):Class [static] | ChartSerializer

Public Constants

| Constant | Defined by
--- | --- | ---
|  | BAR : String = "bar" [static] | ChartSerializer
|  | COLUMN : String = "column" [static] | ChartSerializer
|  | LINE : String = "line" [static] | ChartSerializer
|  | PIE : String = "pie" [static] | ChartSerializer
|  | STACK_BAR : String = "stackbar" [static] | ChartSerializer
|  | STACK_COLUMN : String = "stackcolumn" [static] | ChartSerializer

Method detail

getShortName | () | method

`public static function getShortName(input:Object):String` Parameters

| `input:Object`

Returns

| `String`

getType | () | method |

`public static function getType(shortName:String):Class` Parameters

| `shortName:String`

Returns

| `Class`

Constant detail

BAR | constant

`public static const BAR:String = "bar"`

COLUMN | constant |

`public static const COLUMN:String = "column"`

LINE | constant |

`public static const LINE:String = "line"`

PIE | constant |

`public static const PIE:String = "pie"`

STACK_BAR | constant |

`public static const STACK_BAR:String = "stackbar"`

STACK_COLUMN | constant |

`public static const STACK_COLUMN:String = "stackcolumn"`